/*
 * Class ARRAYED_LIST [NATURAL_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_405 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_405 [] = {0xFF01,237,404,200,0xFFFF};
static const EIF_TYPE_INDEX egt_2_405 [] = {0xFF01,404,200,0xFFFF};
static const EIF_TYPE_INDEX egt_3_405 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_405 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_405 [] = {0xFF01,404,200,0xFFFF};
static const EIF_TYPE_INDEX egt_6_405 [] = {0xFF01,404,200,0xFFFF};
static const EIF_TYPE_INDEX egt_7_405 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_405 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_405 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_405 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_405 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_405 [] = {404,200,0xFFFF};
static const EIF_TYPE_INDEX egt_13_405 [] = {0xFF01,404,200,0xFFFF};
static const EIF_TYPE_INDEX egt_14_405 [] = {0xFF01,406,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_405 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_405 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_405 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_405 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_405 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_20_405 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_405 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_405 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_405 [] = {0xFF01,404,200,0xFFFF};
static const EIF_TYPE_INDEX egt_24_405 [] = {0xFF01,417,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_405 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_405 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_405 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_405 [] = {0xFF01,412,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_405 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_405 [] = {0xFF01,169,0xFFFF};
static const EIF_TYPE_INDEX egt_31_405 [] = {0xFF01,417,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_32_405 [] = {0xFF01,419,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_33_405 [] = {0xFF01,404,200,0xFFFF};
static const EIF_TYPE_INDEX egt_34_405 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_35_405 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_36_405 [] = {0xFF01,144,0xFFFF};
static const EIF_TYPE_INDEX egt_37_405 [] = {0xFF01,404,200,0xFFFF};


static const struct desc_info desc_405[] = {
	{EIF_GENERIC(NULL), 7611, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_405), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_405), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7635, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_405), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7662, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_405), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_405), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_405), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_405), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_405), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_405), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_405), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_405), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_405), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_405), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_405), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7623, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2025, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1865, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1866, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), 1867, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1868, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1869, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_405), 2323, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_405), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7634, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2123, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_405), 7616, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2533, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2534, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1993, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7655, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7664, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4289, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7648, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7621, 8},
	{EIF_NON_GENERIC(0x019D /*206*/), 4292, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_405), 2316, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2317, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4647, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7643, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7644, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_405), 7617, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_405), 4293, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7638, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_405), 7616, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4277, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7642, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7625, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7626, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7627, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7628, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_405), 7619, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_405), 7620, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7641, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7646, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4299, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4300, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4278, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4279, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7669, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_405), 7671, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2313, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2312, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2315, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2315, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4648, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7645, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2314, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4565, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7636, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7639, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2530, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7652, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4282, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7663, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7665, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7668, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_405), 4946, 0},
	{EIF_GENERIC(NULL), 4947, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4948, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_405), 4949, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_405), 4950, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4951, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4952, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4953, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_405), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2073, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2120, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2121, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2122, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2124, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7659, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7661, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_405), 3371, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_405), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4292, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4569, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7670, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_405), 6686, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7612, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7613, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7614, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_405), 7615, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_405), 7624, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7629, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7630, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7631, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7632, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7640, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7660, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7673, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7674, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_405), 7675, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7621, 8},
	{EIF_GENERIC(egt_34_405), 7617, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_405), 7618, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7638, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7650, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7650, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_405), 7622, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7637, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7647, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7633, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7649, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7653, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7654, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7656, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7657, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7666, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7667, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_405), 7672, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7651, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7658, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init405(void)
{
	IDSC(desc_405, 0, 404);
	IDSC(desc_405 + 1, 1, 404);
	IDSC(desc_405 + 32, 77, 404);
	IDSC(desc_405 + 41, 103, 404);
	IDSC(desc_405 + 43, 243, 404);
	IDSC(desc_405 + 49, 155, 404);
	IDSC(desc_405 + 58, 256, 404);
	IDSC(desc_405 + 61, 30, 404);
	IDSC(desc_405 + 68, 329, 404);
	IDSC(desc_405 + 82, 294, 404);
	IDSC(desc_405 + 85, 282, 404);
	IDSC(desc_405 + 94, 81, 404);
	IDSC(desc_405 + 103, 35, 404);
	IDSC(desc_405 + 104, 129, 404);
	IDSC(desc_405 + 110, 99, 404);
	IDSC(desc_405 + 112, 229, 404);
	IDSC(desc_405 + 113, 55, 404);
	IDSC(desc_405 + 114, 123, 404);
	IDSC(desc_405 + 116, 38, 404);
	IDSC(desc_405 + 131, 187, 404);
	IDSC(desc_405 + 137, 184, 404);
	IDSC(desc_405 + 140, 50, 404);
	IDSC(desc_405 + 141, 96, 404);
	IDSC(desc_405 + 149, 237, 404);
	IDSC(desc_405 + 151, 172, 404);
}


#ifdef __cplusplus
}
#endif
